package com.yeejoin.amos.boot.module.jcs.api.service;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jcs.api.dto.FusionDto;
import com.yeejoin.amos.boot.module.jcs.api.dto.VoiceRecordFileDto;

import java.util.List;

/**
 * 通话记录附件接口类
 *
 * @author system_generator
 * @date 2021-08-03
 */
public interface IVoiceRecordFileService {

    Page<VoiceRecordFileDto> queryRecordListByQueryDto(Page<VoiceRecordFileDto> page, String telEndTimeStr, String telEndTimeStr1, String fileType, String caller, String called, String sortParam, String sortRule);

    VoiceRecordFileDto getRecordById(Long sequenceNbr);

    List<VoiceRecordFileDto> selectExportData(String exportId);

    List<FusionDto> getCarList(Boolean hasFusion);

    List<FusionDto> getSinglePawnList(Boolean hasFusion);

    List <VoiceRecordFileDto> listByAlertId(Long alertId);
}
